linux-crashdump isn't built for arm64

Bug #1773407 reported by dann frazier on 2018-05-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-meta (Ubuntu)
Undecided
dann frazier
Xenial
Undecided
dann frazier
Artful
Undecided
dann frazier
Bionic
Undecided
dann frazier

Bug Description

[Impact]
kdump works fine on arm64 these days, but end users have to manually install the various packages to make it work vs. just installing linux-crashdump like on other architectures.

[Test Case]
On an arm64 system:
sudo apt install linux-crashdump

[Fix]
Add the necessary debian/control bits to build this package on arm64.

[Regression Risk]
We're making a package available on arm64 that wasn't previously - if that package is broken for some reason, it won't be a regression.

dann frazier (dannf) on 2018-05-25
Changed in linux-meta (Ubuntu):
assignee: nobody → dann frazier (dannf)
Changed in linux-meta (Ubuntu Xenial):
assignee: nobody → dann frazier (dannf)
Changed in linux-meta (Ubuntu Artful):
assignee: nobody → dann frazier (dannf)
Changed in linux-meta (Ubuntu Bionic):
assignee: nobody → dann frazier (dannf)
Changed in linux-meta (Ubuntu Xenial):
status: New → In Progress
Changed in linux-meta (Ubuntu Artful):
status: New → In Progress
Changed in linux-meta (Ubuntu Bionic):
status: New → In Progress
Changed in linux-meta (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-meta (Ubuntu Artful):
status: In Progress → Fix Committed
Changed in linux-meta (Ubuntu Bionic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 4.13.0.46.49

---------------
linux-meta (4.13.0.46.49) artful; urgency=medium

  * Bump ABI 4.13.0-46

  * linux-crashdump isn't built for arm64 (LP: #1773407)
    - Generate linux-crashdump metapackage for arm64

 -- Khalid Elmously <email address hidden> Tue, 12 Jun 2018 00:14:54 -0400

Changed in linux-meta (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 4.15.0.24.26

---------------
linux-meta (4.15.0.24.26) bionic; urgency=medium

  * Bump ABI 4.15.0-24

  * linux-crashdump isn't built for arm64 (LP: #1773407)
    - Generate linux-crashdump metapackage for arm64

 -- Kleber Sacilotto de Souza <email address hidden> Wed, 13 Jun 2018 10:32:29 +0200

Changed in linux-meta (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 4.4.0.130.136

---------------
linux-meta (4.4.0.130.136) xenial; urgency=medium

  * Bump ABI 4.4.0-130

linux-meta (4.4.0.129.135) xenial; urgency=medium

  * Bump ABI 4.4.0-129

  * linux-crashdump isn't built for arm64 (LP: #1773407)
    - Generate linux-crashdump metapackage for arm64

 -- Stefan Bader <email address hidden> Thu, 14 Jun 2018 10:36:02 +0200

Changed in linux-meta (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-meta - 4.15.0.29.31

---------------
linux-meta (4.15.0.29.31) bionic; urgency=medium

  * Bump ABI 4.15.0-29

linux-meta (4.15.0.28.30) bionic; urgency=medium

  * Bump ABI 4.15.0-28

linux-meta (4.15.0.27.29) bionic; urgency=medium

  * Bump ABI 4.15.0-27

linux-meta (4.15.0.26.28) bionic; urgency=medium

  * Bump ABI 4.15.0-26

linux-meta (4.15.0.25.27) bionic; urgency=medium

  * Bump ABI 4.15.0-25

linux-meta (4.15.0.24.26) bionic; urgency=medium

  * Bump ABI 4.15.0-24

  * linux-crashdump isn't built for arm64 (LP: #1773407)
    - Generate linux-crashdump metapackage for arm64

 -- Stefan Bader <email address hidden> Tue, 17 Jul 2018 17:27:39 +0200

Changed in linux-meta (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers